Name:     nonstd-byte-lite-devel
%define altname byte-lite
Version:  0.3.0
Release:  1%{?dist}
Summary:  A single-file header-only C++17-like byte type for C++98, C++11 and later
License:  BSL-1.0
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
Patch0:   big-endian.patch
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
byte lite is a single-file header-only library to provide a C++17-like distinct
byte type for use with C++98 and later.

%prep
%autosetup -p1 -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_includedir}/nonstd/*.hpp
%{_libdir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.3.0-1
- Initial version of the package
